defmodule FeedParser.Item do
  defstruct [:guid, :url, :title, :content, :date]

  @type t() :: %__MODULE__{
          guid: String.t(),
          url: String.t() | nil,
          title: String.t() | nil,
          content: String.t(),
          date: DateTime.t()
        }
end
