defmodule FeedParser.Parser do
  @callback accepts(data :: String.t(), content_type :: String.t()) :: {true, any()} | false
  @callback parse_feed(data :: any()) ::
              {:ok, feed :: FeedParser.Feed.t()} | {:error, reason :: String.t()}
end
