defmodule FeedParser.Feed do
  defstruct [:site_url, :title, :image_url, :items]

  @type t() :: %__MODULE__{
          site_url: String.t(),
          title: String.t(),
          image_url: String.t() | nil,
          items: [FeedParser.Item.t()]
        }
end
